Hooks:PostHook( GuiTweakData, "_init_masks", "DokkaebiProfileModInit", function(self)



function insert_into_character_codex(character, value)
  --[[local function contains(tbl, value) -- substitute contains() if something that does this already exists || BeardLib have table.contains
    for _, v in pairs(tbl) do
      if v == value then
        return true
      end
    end
  end]]--

  local codex = self.crime_net.codex

  for i, _ in ipairs(codex) do
    if codex[i].id == "playable_characters" then
      for i2, _ in ipairs(codex[i]) do
        if codex[i][i2].id == character then
          table.insert(codex[i][i2], value)
          return true
        end
      end
    end
  end
end

local _doki = {
	desc_id = "menu_joy2_desc_codex",
	post_event = "pln_contact_joy",
	videos = {"joy1"}
}

insert_into_character_codex("joy", _doki)




--[[ dirty code, --will break if Overkill add new entry, only on file for reference
self.crime_net.codex = {
	{
		{
			{
				video = "bain",
				desc_id = "heist_contact_bain_description",
				post_event = "pln_contact_bain"
			},
			name_id = "heist_contact_bain",
			id = "bain"
		},
		{
			{
				desc_id = "heist_contact_vlad_description",
				post_event = "vld_quote_set_a",
				videos = {
					"vlad1",
					"vlad2",
					"vlad3"
				}
			},
			name_id = "heist_contact_vlad",
			id = "vlad"
		},
		{
			{
				desc_id = "heist_contact_hector_description",
				post_event = "hct_quote_set_a",
				videos = {
					"hector1",
					"hector2",
					"hector3"
				}
			},
			name_id = "heist_contact_hector",
			id = "hector"
		},
		{
			{
				desc_id = "heist_contact_the_elephant_description",
				post_event = "elp_quote_set_a",
				videos = {
					"the_elephant1",
					"the_elephant2",
					"the_elephant3"
				}
			},
			name_id = "heist_contact_the_elephant",
			id = "the_elephant"
		},
		{
			{
				desc_id = "heist_contact_gage_description",
				post_event = "pln_contact_gage",
				videos = {
					"gage1",
					"gage2",
					"gage3"
				}
			},
			name_id = "heist_contact_gage",
			id = "gage"
		},
		{
			{
				desc_id = "heist_contact_the_dentist_description",
				post_event = "dentist_quote_set_a",
				videos = {
					"the_dentist1",
					"the_dentist2",
					"the_dentist3",
					"the_dentist4",
					"the_dentist5",
					"the_dentist6"
				}
			},
			name_id = "heist_contact_the_dentist",
			id = "the_dentist"
		},
		{
			{
				desc_id = "heist_contact_the_butcher_description",
				post_event = "butcher_quote_set_a",
				videos = {
					"the_butcher1",
					"the_butcher2",
					"the_butcher3"
				}
			},
			name_id = "heist_contact_the_butcher",
			id = "the_butcher"
		},
		{
			{
				desc_id = "heist_contact_locke_description",
				post_event = "loc_quote_set_a",
				videos = {"locke1"}
			},
			name_id = "heist_contact_locke",
			id = "locke"
		},
		{
			{
				desc_id = "menu_jimmy_desc_codex",
				post_event = "pln_contact_jimmy",
				videos = {"jimmy1"}
			},
			name_id = "menu_jimmy",
			id = "jimmy_contact"
		},
		{
			{
				desc_id = "menu_continental_desc_codex",
				post_event = "continental_quote_set_a",
				videos = {"continental1"}
			},
			name_id = "menu_continental",
			id = "continental_contact"
		},
		name_id = "menu_contacts",
		id = "contacts"
	},
	{
		{
			{
				desc_id = "russian_desc_codex",
				post_event = "pln_contact_dallas",
				videos = {
					"dallas1",
					"dallas2",
					"dallas3"
				}
			},
			name_id = "menu_russian",
			id = "dallas"
		},
		{
			{
				desc_id = "german_desc_codex",
				post_event = "pln_contact_wolf",
				videos = {
					"wolf1",
					"wolf2"
				}
			},
			name_id = "menu_german",
			id = "wolf"
		},
		{
			{
				desc_id = "spanish_desc_codex",
				post_event = "pln_contact_chains",
				videos = {
					"chains1",
					"chains2",
					"chains3"
				}
			},
			name_id = "menu_spanish",
			id = "chains"
		},
		{
			{
				desc_id = "old_hoxton_desc_codex",
				post_event = "pln_contact_hoxton",
				videos = {
					"old_hoxton1",
					"old_hoxton2"
				}
			},
			name_id = "menu_old_hoxton",
			id = "old_hoxton"
		},
		{
			{
				desc_id = "jowi_desc_codex",
				post_event = "pln_contact_wick",
				videos = {
					"jowi1",
					"jowi2",
					"jowi3",
					"jowi4"
				}
			},
			name_id = "menu_jowi",
			id = "jowi"
		},
		{
			{
				desc_id = "american_desc_codex",
				post_event = "pln_contact_houston",
				videos = {
					"hoxton1",
					"hoxton2",
					"hoxton3"
				}
			},
			{
				desc_id = "houston_desc_codex",
				post_event = "pln_contact_houston",
				videos = {
					"hoxton1",
					"hoxton2",
					"hoxton3"
				}
			},
			name_id = "menu_american",
			id = "hoxton"
		},
		{
			{
				desc_id = "menu_clover_desc_codex",
				post_event = "pln_contact_clover",
				videos = {
					"clover1",
					"clover2"
				}
			},
			name_id = "menu_clover",
			id = "clover"
		},
		{
			{
				desc_id = "menu_dragan_desc_codex",
				post_event = "pln_contact_dragan",
				videos = {
					"dragan1",
					"dragan2",
					"dragan3"
				}
			},
			name_id = "menu_dragan",
			id = "dragan"
		},
		{
			{
				desc_id = "menu_jacket_desc_codex",
				post_event = "pln_contact_jacket",
				videos = {
					"jacket1",
					"jacket2"
				}
			},
			name_id = "menu_jacket",
			id = "jacket"
		},
		{
			{
				desc_id = "menu_bonnie_desc_codex",
				post_event = "pln_contact_bonnie",
				videos = {"bonnie1"}
			},
			name_id = "menu_bonnie",
			id = "bonnie"
		},
		{
			{
				desc_id = "menu_sokol_desc_codex",
				post_event = "pln_contact_sokol",
				videos = {"sokol1"}
			},
			name_id = "menu_sokol",
			id = "sokol"
		},
		{
			{
				desc_id = "menu_dragon_desc_codex",
				post_event = "pln_contact_jiro",
				videos = {"dragon1"}
			},
			name_id = "menu_dragon",
			id = "dragon"
		},
		{
			{
				desc_id = "menu_bodhi_desc_codex",
				post_event = "pln_contact_bodhi",
				videos = {"bodhi1"}
			},
			name_id = "menu_bodhi",
			id = "bodhi"
		},
		{
			{
				desc_id = "menu_jimmy_desc_codex",
				post_event = "pln_contact_jimmy",
				videos = {"jimmy1"}
			},
			name_id = "menu_jimmy",
			id = "jimmy"
		},
		{
			{
				desc_id = "menu_sydney_desc_codex",
				post_event = "pln_contact_sydney",
				videos = {"sydney1"}
			},
			name_id = "menu_sydney",
			id = "sydney"
		},
		{
			{
				desc_id = "menu_wild_desc_codex",
				post_event = "pln_contact_rust",
				videos = {"wild1"}
			},
			name_id = "menu_wild",
			id = "wild"
		},
		{
			{
				desc_id = "menu_chico_desc_codex",
				post_event = "pln_contact_tony",
				videos = {"chico1"}
			},
			name_id = "menu_chico",
			id = "chico"
		},
		{
			{
				desc_id = "menu_max_desc_codex",
				post_event = "pln_contact_sangres",
				videos = {"max1"}
			},
			name_id = "menu_max",
			id = "max"
		},
		{
			{
				desc_id = "menu_joy_desc_codex",
				post_event = "pln_contact_joy",
				videos = {"joy1"}
			},
			{--joy2 is the custom codex entry we want
				desc_id = "menu_joy2_desc_codex",
				post_event = "pln_contact_joy",
				videos = {"joy1"}
			},
			name_id = "menu_joy",
			id = "joy"
		},
		{
			{
				desc_id = "menu_myh_desc_codex",
				post_event = "pln_contact_duke",
				videos = {"myh1"}
			},
			name_id = "menu_myh",
			id = "myh"
		},
		{
			{
				desc_id = "menu_ecp_desc_codex",
				post_event = "pln_contact_ecp",
				videos = {"ecp1"}
			},
			name_id = "menu_ecp",
			id = "ecp"
		},
		name_id = "menu_playable_characters",
		id = "playable_characters"
	}
}]]--
	
end)